/* MasC interpreter/compiler
   (Master Assembly Script Container)
   written by Jared Bruni
   
   After reading Writing Compilers and Interpreters A approach using C++ by Ronald Mak
   and the Dragon Book
   code completly re-written but using concepts teached in this book
*/

// parser (syntax anaylizer) header file

#ifndef __parser_H_
#define __parser_H_

#include "lex.h"
#include "backend.h"

#include<stdlib.h>
#include<ctype.h>



void parse(struct text_in *ti, struct Token *tokens);
int convertIdentifier(char *str);
char *skipSpaces(char *ptr_c);
void put_byte(FILE *fptr, char byte_);
void put_strc(FILE *fptr, const char *str);
void put_int(FILE *fptr, const int integer);
void put_float(FILE *ptr, const float the_float);
void fgoto(FILE *fptr, int loc);
int getReservedLen();
int checkBounds(struct BackEnd *bend, int size);

#endif

// Be thankfull


